<?php

class bMegamenu extends BackModule
{
    /**
     * @param array $formvars
     * @param null $table
     * @param bool $langue
     * @throws Exception
     */
    public function update($formvars = array(), $table = null, $langue = true)
    {
        $return =  parent::update_multi($formvars, $table, $langue);
        $megamenu = new Megamenu();
        $megamenu->updateExtId($formvars['back_id']);
        return $return;
    }

    /**
     * @param array $formvars
     * @param null $table
     * @param bool $langue
     * @return mixed
     * @throws Exception
     */
    public function duplicate($formvars = array(), $table = null, $langue = true)
    {
        $return = $this->create($formvars, $table, $langue);
        return $return;
    }

    /**
     * @param array $formvars
     * @param null $table
     * @param bool $langue
     * @return mixed
     * @throws Exception
     */
    public function create($formvars = array(), $table = null, $langue = true)
    {
        if ($formvars['megamenu_parent_id'] == "NULL") {
            unset($formvars['megamenu_parent_id']);
        }

        $id = parent::create_multi($formvars, $table, $langue);

        if(!empty($id)){
            $megamenu = new Megamenu();
            $megamenu->updateExtId($id);

            Boutique::getInstance()->createStatut('megamenu', $id);
        }

        return $id;
    }

    /**
     * @param array $formvars
     * @param null $table
     * @param bool $langue
     * @return bool
     */
    public function delete($formvars = array(), $table = null, $langue = true)
    {
        return parent::delete_multi($formvars, $table, $langue);
    }

    /**
     * @param array $formvars
     * @return string
     * @throws DediException
     */
    public function Form($formvars = array())
    {
        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau lien Megamenu</a></span>";
        } else {
            $sql = "SELECT megamenu_nom_nom as data FROM megamenu_nom WHERE megamenu_id = '" . $formvars['id'] . "' AND langue_id = '" . LANGUE . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id'])) . "'>Edition du lien Megamenu : <strong>" . $data['data'] . "</strong></a></span>";

            // REQUEST
            $this->request = getTableMutli('megamenu', $formvars['id']);
        }

        // Forms
        $form = new BackForm("Informations principales", "group");
        $this->addForm($form);

        $form = new BackForm("Parent", "select", "megamenu_parent_id");
        $form->addOption("NULL", "---");
        $form->addMegamenuRecursive("","","");
        $this->addForm($form);

        $form = new BackForm("Ouverture", "select", "megamenu_ouverture");
        $form->setVar('comment', "Action de lors du clic, si un lien est définit l'action par défaut est l'onglet courant");
        $form->addOption("1", "Nouvel onglet");
        $form->addOption("2", "Onglet courant");
        $this->addForm($form);

        $form = new BackForm("Statut", "select", "megamenu_statut_id");
        $form->addOption("1", "Actif");
        $form->addOption("2", "Inactif");
        $this->addForm($form);

        $form = new BackForm("Rang", "text", "megamenu_rang");
        $this->addForm($form);

        $form = new BackForm("Affichage","group");
        $this->addForm($form);

        $form = new BackForm("Nom", "tinymce", "megamenu_nom_nom");
        $form->addAttr('class', 'required');
        $form->addAttr('rows', '5');
        $this->addForm($form);

        $form = new BackForm("Lien", "text", "megamenu_nom_lien");
        $form->setVar('comment', "Non obligatoire - Si pas de lien définit sela rend le menu non cliquable");
        $this->addForm($form);

        $form = new BackForm("Boutiques", "group");
        $form->addGroupOpts('class', 'megamenu_boutique');
        $this->addForm($form);
        // -- Forms

        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }
        return $this->displayForm($formvars['id']);
    }

    /**
     * @param array $formvars
     * @return array|string
     */
    public function Listing($formvars = array())
    {
        // RECHERCHE
        $form = new BackForm("Parent", "select", "m.megamenu_parent_id");
        $form->setVar("compare", "EQUAL");
        $form->addOption("NULL", "---");
        $form->addMegamenuRecursive("","","");
        $this->addForm($form);
        //-- RECHERCHE

        // SQL
        $sql = "SELECT m.megamenu_id, m.megamenu_id";
        $sql.= ", mn.megamenu_nom_nom";
        $sql.= ", mnpn.megamenu_nom_nom";
        $sql.= ", mn.megamenu_nom_lien";
        $sql.= ", m.megamenu_rang";
        $sql.= ", m.megamenu_statut_id";
        $sql.= ", COUNT(DISTINCT menf.megamenu_id)";
        $sql.= " FROM megamenu m";
        $sql.= " LEFT JOIN megamenu_nom mn ON (m.megamenu_id = mn.megamenu_id AND mn.langue_id = '" . LANGUE . "')";
        $sql.= " LEFT JOIN megamenu_boutique mb ON (mb.megamenu_id = m.megamenu_id)";
        $sql.= " INNER JOIN boutique btq ON (mb.boutique_id = btq.boutique_id)";
        $sql.= " LEFT JOIN megamenu mnp ON (m.megamenu_parent_id = mnp.megamenu_id)";
        $sql.= " LEFT JOIN megamenu_nom mnpn ON (mnp.megamenu_id = mnpn.megamenu_id)";

        $sql.= " LEFT JOIN megamenu menf ON (menf.megamenu_parent_id = m.megamenu_id)";
        $sql.= " LEFT JOIN megamenu_nom menfn ON (menfn.megamenu_id = m.megamenu_parent_id AND mn.langue_id = '" . LANGUE . "')";

        $sql.= " LEFT JOIN actif a ON (mb.megamenu_boutique_statut_id = a.actif_id)";
        $sql.= " WHERE 1";

        if (!isset($_GET['m*megamenu_parent_id']) || empty($_GET['m*megamenu_parent_id']) || $_GET['m*megamenu_parent_id'] == 'NULL'){
            $sql .= " AND m.megamenu_parent_id IS NULL";
        }

        $this->request = $sql;
        //-- SQL

        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);


        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("PARENT");
        $this->addLabel($label);

        $label = new BackLabel("LIEN");
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);

        $label = new BackLabel("STATUT","statut");
        $this->addLabel($label);

        $label = new BackLabel("NIV INF", "listselect");
        $label->setVar('option', array("module" => "<a href='../../megamenu/list/?m*megamenu_parent_id=%ID%'>%IMG%</a>"));
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

}
