<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddChequeCadeau extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("cheque_cadeau_statut", ['id' => false, 'primary_key' => ["cheque_cadeau_statut_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('cheque_cadeau_statut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'signed' => false])
            ->addColumn('cheque_cadeau_statut_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'cheque_cadeau_statut_id'])
            ->create();

        $this
            ->table("cheque_cadeau", ['id' => false, 'primary_key' => ["cheque_cadeau_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('cheque_cadeau_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('cheque_cadeau_nom', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'cheque_cadeau_id'])
            ->addColumn('cheque_cadeau_code', 'string', ['null' => false, 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'cheque_cadeau_nom'])
            ->addColumn('cheque_cadeau_prix_ht', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 2, 'after' => 'cheque_cadeau_code'])
            ->addColumn('cheque_cadeau_prix_min', 'decimal', ['null' => false, 'precision' => 15, 'scale' => 2, 'after' => 'cheque_cadeau_prix_ht'])
            ->addColumn('taxe_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'cheque_cadeau_prix_min', 'signed' => false])
            ->addColumn('cheque_cadeau_date_debut', 'date', ['null' => false, 'after' => 'taxe_id'])
            ->addColumn('cheque_cadeau_date_fin', 'date', ['null' => false, 'after' => 'cheque_cadeau_date_debut'])
            ->addColumn('cheque_cadeau_date_ajout', 'datetime', ['null' => false, 'after' => 'cheque_cadeau_date_fin'])
            ->addColumn('cheque_cadeau_date_modif', 'datetime', ['null' => false, 'after' => 'cheque_cadeau_date_ajout'])
            ->addColumn('cheque_cadeau_statut_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'cheque_cadeau_date_modif', 'signed' => false])
            ->addForeignKey('taxe_id', 'taxe', 'taxe_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('cheque_cadeau_statut_id', 'cheque_cadeau_statut', 'cheque_cadeau_statut_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addIndex(['taxe_id'], ['name' => "taxe_id", 'unique' => false])
            ->addIndex(['cheque_cadeau_statut_id'], ['name' => "cheque_cadeau_statut_id", 'unique' => false])
            ->create();
    }
}
