<?php

use Phinx\Migration\AbstractMigration;

class InsertProduit extends AbstractMigration
{
    public function up()
    {

        $produit_appro = array(
            array('produit_appro_id' => '0','produit_appro_nom' => 'Non'),
            array('produit_appro_id' => '1','produit_appro_nom' => 'Oui')
        );

        $this
            ->table('produit_appro')
            ->insert($produit_appro)
            ->save();

        $produit_list_type = array(
            array('produit_list_type_id' => '1','produit_list_type_nom' => 'Wishlist','produit_list_type_status' => '1'),
            array('produit_list_type_id' => '2','produit_list_type_nom' => 'Panier Sauvegardés','produit_list_type_status' => '1')
        );

        $this
            ->table('produit_list_type')
            ->insert($produit_list_type)
            ->save();

        $produit_option = array(
            array('produit_option_id' => '1'),
            array('produit_option_id' => '2')
        );

        $this
            ->table('produit_option')
            ->insert($produit_option)
            ->save();

        $produit_option_nom = array(
            array('produit_option_nom_id' => '1','produit_option_id' => '1','produit_option_nom' => 'Taille','langue_id' => '1'),
            array('produit_option_nom_id' => '2','produit_option_id' => '2','produit_option_nom' => 'Couleur','langue_id' => '1')
        );

        $this
            ->table('produit_option_nom')
            ->insert($produit_option_nom)
            ->save();

        $produit_statut = array(
            array('produit_statut_id' => '1','produit_statut_nom' => 'Visible','produit_statut_image' => '/back/styles/images/produit_statut_1.gif','produit_statut_rang' => '10'),
            array('produit_statut_id' => '2','produit_statut_nom' => 'Caché','produit_statut_image' => '/back/styles/images/produit_statut_2.gif','produit_statut_rang' => '30'),
            array('produit_statut_id' => '3','produit_statut_nom' => 'Archive','produit_statut_image' => '/back/styles/images/produit_statut_3.gif','produit_statut_rang' => '20')
        );

        $this
            ->table('produit_statut')
            ->insert($produit_statut)
            ->save();

        $produit_type = array(
            array('produit_type_id' => '1','produit_type_libelle' => 'Produit avec gestion de stock','produit_type_stock' => '1','produit_type_port' => '1','produit_type_class' => ''),
            array('produit_type_id' => '2','produit_type_libelle' => 'Produit sans gestion de stock','produit_type_stock' => '0','produit_type_port' => '1','produit_type_class' => ''),
            array('produit_type_id' => '4','produit_type_libelle' => 'Non vendu sur internet','produit_type_stock' => '0','produit_type_port' => '0','produit_type_class' => '')
        );

        $this
            ->table('produit_type')
            ->insert($produit_type)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('produit_appro')
            ->truncate();
        $this
            ->table('produit_list_type')
            ->truncate();
        $this
            ->table('produit_option')
            ->truncate();
        $this
            ->table('produit_option_nom')
            ->truncate();
        $this
            ->table('produit_statut')
            ->truncate();
        $this
            ->table('produit_type')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
