<?php

use Phinx\Migration\AbstractMigration;

class InsertPromotion extends AbstractMigration
{
    public function up()
    {
        $promotion_prefix = array(
            array('promotion_prefix_id' => '1','promotion_prefix_nom' => '€'),
            array('promotion_prefix_id' => '2','promotion_prefix_nom' => '%')
        );

        $this
            ->table('promotion_prefix')
            ->insert($promotion_prefix)
            ->save();

        $promotion_statut = array(
            array('promotion_statut_id' => '1','promotion_statut_nom' => 'Active'),
            array('promotion_statut_id' => '2','promotion_statut_nom' => 'Non Active')
        );

        $this
            ->table('promotion_statut')
            ->insert($promotion_statut)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('promotion_prefix')
            ->truncate();
        $this
            ->table('promotion_statut')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
