<?php

use Phinx\Migration\AbstractMigration;

class AddMegamenuTable extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this
            ->table('megamenu', ['id' => 'megamenu_id'])
            ->addColumn('megamenu_ouverture', 'integer', ['null' => true])
            ->addColumn('megamenu_colone','integer', ['null' => true])
            ->addColumn('megamenu_parent_id', 'integer', ['null' => true])
            ->addColumn('megamenu_ext_id', 'string')
            ->addForeignKey('megamenu_parent_id', 'megamenu', 'megamenu_id', ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('actif_id', 'boolean')
            ->create();

        $this
            ->table('megamenu_nom', ['id' => 'megamenu_nom_id'])
            ->addColumn('megamenu_id', 'integer')
            ->addForeignKey('megamenu_id', 'megamenu','megamenu_id', ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->addColumn('megamenu_nom_nom', 'string')
            ->addColumn('megamenu_nom_lien', 'string', ['null' => true])
            ->addColumn('langue_id', 'integer', ['signed' => false])
            ->addForeignKey('langue_id', 'langue', 'langue_id', ['delete' => 'CASCADE', 'update' => 'CASCADE'])
            ->create();
    }
}
