<?php

use Phinx\Migration\AbstractMigration;

class InsertMegamenuBackModule extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {

        $module = $this->fetchRow("SELECT module_id FROM back_module WHERE module_titre = 'CMS'");

        $datas = [
            [
                "module_id" => null,
                "module_parent_id" => $module['module_id'],
                "module_nom" => "Gestion du Mégamenu",
                "module_titre" => "Megamenu",
                "module_page" => "megamenu",
                "module_rang" => 50,
                "actif_id" => 1,
                "module_order" => 2,
                "module_group" => "m.megamenu_id",
                "module_limit" => 50,
                "module_bases" => "megamenu|megamenu_nom",
                "module_icon" => "",
            ],
        ];

        $this->table("back_module")->insert($datas)->update();

    }
}
