<?php

namespace Controller;

use Boutique;
use Cache\BoutiqueCache;
use Categorie;
use Gamme;
use Megamenu;
use Shopbydedi\Listing;
use Shopbydedi\Panier;
use Tree\Node;
use Tree\Tree;

/**
 * Class HeaderController
 *
 * @package Controller
 */
class HeaderController extends Controller
{
    /**
     * @return \Symfony\Component\HttpFoundation\Response
     * @throws \Exception
     * @throws \SmartyException
     */
    public function display()
    {
        $panier = Panier::getInstance();

        $this->template->assign('count_product', $panier->getCountProducts());
        $this->template->assign('noStickyHeader',true);

        $megamenu = new Megamenu();
        $arrMegamenu = $megamenu->getTree()->getTree('array');

        foreach ($arrMegamenu as $i => $lvl1) {
            $arrMegamenu[$i]['hasLvl3Child'] = false;
            if(!empty($lvl1['children'])) {
                foreach ($lvl1['children'] as $j => $lvl2) {
                    if (!empty($lvl2['children'])) {
                        $arrMegamenu[$i]['hasLvl3Child'] = true;
                    }

                }
            }
        }
        $this->template->assign('arrMegamenu', $arrMegamenu);

        return $this->response($this->template->fetch('parts/header.tpl'));

    }

}